# -*- python -*-
# $RCSfile: comboboxlogger.py,v $
# $Revision: 1.2 $
# $Author: langer $
# $Date: 2007-09-13 21:33:07 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

import widgetlogger
import gtk
import types

class ComboBoxLogger(widgetlogger.WidgetLogger):
    classes = (gtk.ComboBox,)
    def record(self, object, signal, *args):
        if signal == 'changed':
            index = object.get_active()
            val = object.get_model()[index][0]
            if type(val) is types.StringType:
                return ["setComboBox(%s, '%s')" % 
                        (self.location(object, args), val)]
            else:
                return ["%s.set_active(%d)" %
                        (self.location(object, *args), index)]
        return super(ComboBoxLogger, self).record(object, signal, *args)

